org.apache.commons.math3.geometry.euclidean.oned

## Class Vector1DFormat

- java.lang.Object
- - org.apache.commons.math3.geometry.VectorFormat<Euclidean1D>
  - - org.apache.commons.math3.geometry.euclidean.oned.Vector1DFormat

-     public class Vector1DFormat
      extends VectorFormat<Euclidean1D>

  Formats a 1D vector in components list format "{x}".

  The prefix and suffix "{" and "}" can be replaced by any user-defined strings. The number format for components can be configured.

  White space is ignored at parse time, even if it is in the prefix, suffix or separator specifications. So even if the default separator does include a space character that is used at format time, both input string "{1}" and " { 1 } " will be parsed without error and the same vector will be returned. In the second case, however, the parse position after parsing will be just after the closing curly brace, i.e. just before the trailing space.

  Since:
    3.0
  Version:
    $Id: Vector1DFormat.java 1416643 2012-12-03 19:37:14Z tn $

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.math3.geometry.VectorFormat

      `DEFAULT_PREFIX, DEFAULT_SEPARATOR, DEFAULT_SUFFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Vector1DFormat()` Create an instance with default settings.
    `Vector1DFormat(NumberFormat format)` Create an instance with a custom number format for components.
    `Vector1DFormat(String prefix, String suffix)` Create an instance with custom prefix, suffix and separator.
    `Vector1DFormat(String prefix, String suffix, NumberFormat format)` Create an instance with custom prefix, suffix, separator and format for components.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringBuffer` | `format(Vector<Euclidean1D> vector, StringBuffer toAppendTo, FieldPosition pos)` Formats a `Vector` object to produce a string.
    `static Vector1DFormat` | `getInstance()` Returns the default 1D vector format for the current locale.
    `static Vector1DFormat` | `getInstance(Locale locale)` Returns the default 1D vector format for the given locale.
    `Vector1D` | `parse(String source)` Parses a string to produce a `Vector` object.
    `Vector1D` | `parse(String source, ParsePosition pos)` Parses a string to produce a `Vector` object.

    - ### Methods inherited from class org.apache.commons.math3.geometry.VectorFormat

      `format, format, getAvailableLocales, getFormat, getPrefix, getSeparator, getSuffix, parseCoordinates`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Vector1DFormat

          public Vector1DFormat()

      Create an instance with default settings.

      The instance uses the default prefix, suffix and separator: "{", "}", and "; " and the default number format for components.

    - #### Vector1DFormat

          public Vector1DFormat(NumberFormat format)

      Create an instance with a custom number format for components.
      Parameters:
        `format` - the custom format for components.

    - #### Vector1DFormat

          public Vector1DFormat(String prefix,
                        String suffix)

      Create an instance with custom prefix, suffix and separator.
      Parameters:
        `prefix` - prefix to use instead of the default "{"
        `suffix` - suffix to use instead of the default "}"

    - #### Vector1DFormat

          public Vector1DFormat(String prefix,
                        String suffix,
                        NumberFormat format)

      Create an instance with custom prefix, suffix, separator and format for components.
      Parameters:
        `prefix` - prefix to use instead of the default "{"
        `suffix` - suffix to use instead of the default "}"
        `format` - the custom format for components.

  - ### Method Detail

    - #### getInstance

          public static Vector1DFormat getInstance()

      Returns the default 1D vector format for the current locale.
      Returns:
        the default 1D vector format.

    - #### getInstance

          public static Vector1DFormat getInstance(Locale locale)

      Returns the default 1D vector format for the given locale.
      Parameters:
        `locale` - the specific locale used by the format.
      Returns:
        the 1D vector format specific to the given locale.

    - #### format

          public StringBuffer format(Vector<Euclidean1D> vector,
                            StringBuffer toAppendTo,
                            FieldPosition pos)

      Formats a `Vector` object to produce a string.
      Specified by:
        `format` in class `VectorFormat<Euclidean1D>`
      Parameters:
        `vector` - the object to format.
        `toAppendTo` - where the text is to be appended
        `pos` - On input: an alignment field, if desired. On output: the offsets of the alignment field
      Returns:
        the value passed in as toAppendTo.

    - #### parse

          public Vector1D parse(String source)
                         throws MathParseException

      Parses a string to produce a `Vector` object.
      Specified by:
        `parse` in class `VectorFormat<Euclidean1D>`
      Parameters:
        `source` - the string to parse
      Returns:
        the parsed `Vector` object.
      Throws:
        `MathParseException` - if the beginning of the specified string cannot be parsed.

    - #### parse

          public Vector1D parse(String source,
                       ParsePosition pos)

      Parses a string to produce a `Vector` object.
      Specified by:
        `parse` in class `VectorFormat<Euclidean1D>`
      Parameters:
        `source` - the string to parse
        `pos` - input/output parsing parameter.
      Returns:
        the parsed `Vector` object.

Copyright (c) 2003-2013 Apache Software Foundation